com.smartgwt.client.types

## Enum TimeDisplayFormat

- java.lang.Object
- - java.lang.Enum<TimeDisplayFormat>
  - - com.smartgwt.client.types.TimeDisplayFormat

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<TimeDisplayFormat>

      public enum TimeDisplayFormat
      extends java.lang.Enum<TimeDisplayFormat>
      implements ValueEnum

  String designating a standard time format for displaying the times associated with dates strings.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `TO24HOURTIME` String will display with seconds in 24 hour time: `[H]H:MM:SS`.
    `TOPADDED24HOURTIME` String will display with seconds, with a 2 digit hour in 24 hour format: `HH:MM:SS` Examples: `15:25:15`, `03:16:45`
    `TOPADDEDTIME` String will display with seconds, with a 2 digit hour and am/pm indicator: `HH:MM:SS am|pm` Example: `03:25:15 pm`
    `TOSHORT24HOURTIME` String will have no seconds and be in 24 hour format: `[H]H:MM` Example:`15:25`
    `TOSHORTPADDED24HOURTIME` String will have no seconds and will display with a 2 digit hour in 24 hour clock format: `HH:MM` Examples: `15:25`, `03:16`
    `TOSHORTPADDEDTIME` String will have no seconds and will display a 2 digit hour, in 12 hour clock format: `HH:MM am|pm` Example: `03:25 pm`
    `TOSHORTTIME` String will have no seconds and be in 12 hour format:`[H]H:MM am|pm` Example: `3:25 pm`
    `TOTIME` String will display with seconds and am/pm indicator:`[H]H:MM:SS am|pm`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static TimeDisplayFormat` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TimeDisplayFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TOTIME

          public static final TimeDisplayFormat TOTIME

      String will display with seconds and am/pm indicator:`[H]H:MM:SS am|pm`.
      Example: `3:25:15 pm`

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "toTime".

    - #### TO24HOURTIME

          public static final TimeDisplayFormat TO24HOURTIME

      String will display with seconds in 24 hour time: `[H]H:MM:SS`.
      Example: `15:25:15`

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "to24HourTime".

    - #### TOPADDEDTIME

          public static final TimeDisplayFormat TOPADDEDTIME

      String will display with seconds, with a 2 digit hour and am/pm indicator: `HH:MM:SS am|pm`
      Example: `03:25:15 pm`

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "toPaddedTime".

    - #### TOPADDED24HOURTIME

          public static final TimeDisplayFormat TOPADDED24HOURTIME

      String will display with seconds, with a 2 digit hour in 24 hour format: `HH:MM:SS`
      Examples: `15:25:15`, `03:16:45`

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "toPadded24HourTime".

    - #### TOSHORTTIME

          public static final TimeDisplayFormat TOSHORTTIME

      String will have no seconds and be in 12 hour format:`[H]H:MM am|pm`
      Example: `3:25 pm`

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "toShortTime".

    - #### TOSHORT24HOURTIME

          public static final TimeDisplayFormat TOSHORT24HOURTIME

      String will have no seconds and be in 24 hour format: `[H]H:MM`
      Example:`15:25`

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "toShort24HourTime".

    - #### TOSHORTPADDEDTIME

          public static final TimeDisplayFormat TOSHORTPADDEDTIME

      String will have no seconds and will display a 2 digit hour, in 12 hour clock format: `HH:MM am|pm`
      Example: `03:25 pm`

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "toShortPaddedTime".

    - #### TOSHORTPADDED24HOURTIME

          public static final TimeDisplayFormat TOSHORTPADDED24HOURTIME

      String will have no seconds and will display with a 2 digit hour in 24 hour clock format: `HH:MM`
      Examples: `15:25`, `03:16`

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "toShortPadded24HourTime".

  - ### Method Detail

    - #### values

          public static TimeDisplayFormat[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TimeDisplayFormat c : TimeDisplayFormat.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TimeDisplayFormat valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`